\#!/bin/bash
#BSUB -q pbatch   
#BSUB -G guests    
#BSUB -W 60   
#BSUB -nnodes 1  
#BSUB -o /g/g16/zhang65/src/bsub_train_out.txt  

##### These are shell commands
date
source /usr/mic/bio/anaconda3_powerai/bin/activate
conda activate powerai
export LD_LIBRARY_PATH=/usr/mic/bio/anaconda3_powerai/pkgs/cudatoolkit-dev-10.2.89-654.g0f7a43a/compat:/usr/mic/bio/anaconda3_powerai/pkgs/cudatoolkit-dev-10.2.89-654.g0f7a43a/lib:$LD_LIBRARY_PATH

##### Launch parallel job using srun
cd /g/g16/zhang65/src/aha/cnn_3d

timestamp:$(date +%b_%d_%y_%H_%M_%s)
jsrun -n 1 -a 1 -g 1 -c 1 python main_3dcnn.py  --config:3dcnn.yaml --timestamp timestamp

date
echo “Done”